## Class Swift_Mime_SimpleHeaderFactory

(line 27)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/SimpleHeaderFactory.php

##### Creates MIME headers.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_SimpleHeaderFactory __construct (Swift_Mime_HeaderEncoder $encoder, Swift_Encoder $paramEncoder, [string $charset = null])
void charsetChanged (string $charset)
Swift_Mime_Header createDateHeader (string $name, [int $timestamp = null])
Swift_Mime_Header createIdHeader (string $name, [string|array $ids = null])
Swift_Mime_Header createMailboxHeader (string $name, [array|string $addresses = null])
Swift_Mime_ParameterizedHeader createParameterizedHeader (string $name, [string $value = null], [array $params = array()])
Swift_Mime_Header createPathHeader (string $name, [string $path = null])
Swift_Mime_Header createTextHeader (string $name, [string $value = null])

#### Constructor __construct (line 45)

#### Swift_Mime_SimpleHeaderFactory __construct( Swift_Mime_HeaderEncoder $encoder, Swift_Encoder $paramEncoder, [string $charset = null])

##### Creates a new SimpleHeaderFactory using $encoder and $paramEncoder.

#### Parameters

- Swift_Mime_HeaderEncoder $encoder:
- Swift_Encoder $paramEncoder:
- string $charset:

#### Info

- access - public

#### Method charsetChanged (line 169)

#### void charsetChanged( string $charset)

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Notify this observer that the entity's charset has changed.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method createDateHeader (line 76)

#### Swift_Mime_Header createDateHeader( string $name, [int $timestamp = null])

Implementation of:

Swift_Mime_HeaderFactory::createDateHeader()
  Create a new Date header using $timestamp (UNIX time).

##### Create a new Date header using $timestamp (UNIX time).

#### Parameters

- string $name:
- int $timestamp:

#### Info

- access - public

#### Method createIdHeader (line 137)

#### Swift_Mime_Header createIdHeader( string $name, [string|array $ids = null])

Implementation of:

Swift_Mime_HeaderFactory::createIdHeader()
  Create a new ID header for Message-ID or Content-ID.

##### Create a new ID header for Message-ID or Content-ID.

#### Parameters

- string $name:
- string|array $ids:

#### Info

- access - public

#### Method createMailboxHeader (line 59)

#### Swift_Mime_Header createMailboxHeader( string $name, [array|string $addresses = null])

Implementation of:

Swift_Mime_HeaderFactory::createMailboxHeader()
  Create a new Mailbox Header with a list of $addresses.

##### Create a new Mailbox Header with a list of $addresses.

#### Parameters

- string $name:
- array|string $addresses:

#### Info

- access - public

#### Method createParameterizedHeader (line 111)

#### Swift_Mime_ParameterizedHeader createParameterizedHeader( string $name, [string $value = null], [array $params = array()])

Implementation of:

Swift_Mime_HeaderFactory::createParameterizedHeader()
  Create a new ParameterizedHeader with $name, $value and $params.

##### Create a new ParameterizedHeader with $name, $value and $params.

#### Parameters

- string $name:
- string $value:
- array $params:

#### Info

- access - public

#### Method createPathHeader (line 154)

#### Swift_Mime_Header createPathHeader( string $name, [string $path = null])

Implementation of:

Swift_Mime_HeaderFactory::createPathHeader()
  Create a new Path header with an address (path) in it.

##### Create a new Path header with an address (path) in it.

#### Parameters

- string $name:
- string $path:

#### Info

- access - public

#### Method createTextHeader (line 93)

#### Swift_Mime_Header createTextHeader( string $name, [string $value = null])

Implementation of:

Swift_Mime_HeaderFactory::createTextHeader()
  Create a new basic text header with $name and $value.

##### Create a new basic text header with $name and $value.

#### Parameters

- string $name:
- string $value:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:29 +0000 by phpDocumentor 1.4.3